using System;
using System.Collections.Generic;
using System.ComponentModel.DataAnnotations;
using System.ComponentModel.DataAnnotations.Schema;

namespace FMSAdmin.Entities {
    public partial class BemsReportFormatToFacility {
        [Display(Name = "사이트 ID"), Key]
        public int SiteId { get; set; }

        [Display(Name = "일지 포맷 ID"), Key]
        public int ReportFormatId { get; set; }

        [Display(Name = "설비고유코드"), Key]
        public int FacilityCode { get; set; }

        [ForeignKey("SiteId,ReportFormatId")]
        public virtual BemsReportFormat BemsReportFormat { get; set; }

        [ForeignKey("SiteId,FacilityCode")]
        public virtual CmFacility CmFacility { get; set; }
    }
}
